Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have set up a cron job to run every 5 minutes, however, I'm getting the following error from the cron daemon:

Site error: the file <b>/home/domain.com/public_html/pipe/pop.php</b>
requires the ionCube PHP Loader ioncube_loader_lin_5.2.so to be installed by the
site administrator.

Which doesn't make much sense to me as ionCube is enabled on my server. I can see it in the phpinfo() output as well as I have already installed application that requires ionCube to work and it went smoothly.

This is the cron job:

php -q /home/domain.com/public_html/pipe/pop.php

I am using Debian 5 x86-64

share|improve this question

2 Answers 2

up vote 1 down vote accepted

On Debian I there are different php ini files for the cli binary and mod_php in apache.

have a look the configuration files in /etc/php5/

you should have /etc/php5/cli/php.ini and /etc/php5/apache2/php.ini

it is possible that the ioncube_loader_lin_5.2.so stuff is only present in the ini file for apache2.

share|improve this answer
    
Oh yes, ionCube was only enabled in the apache2 php.ini, I enabled it in cli php.ini as well. I go test if it works now :) –  Richard Knop Jan 8 '10 at 14:29
    
It seems to be working. I don't get error messages from the cron anymore. –  Richard Knop Jan 8 '10 at 15:52

Who is the cron job running as? It's probably an environment variable issue. Check the variables with ENV between the user cron is running as (probably root) and the user you regularly run the program as.

share|improve this answer
    
It doesn't run as root. It runs as mydomain user which is a user for virtual server (substitute mydomain with an actual domain). –  Richard Knop Jan 8 '10 at 3:20

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.